package com.ruoyi.learn.service.impl;

import java.util.List;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.ruoyi.learn.mapper.LearnKnowledgeCourseMapper;
import com.ruoyi.learn.domain.LearnKnowledgeCourse;
import com.ruoyi.learn.service.ILearnKnowledgeCourseService;

/**
 * 同步知识点树Service业务层处理
 * 
 * @author ruoyi
 * @date 2025-11-04
 */
@Service
public class LearnKnowledgeCourseServiceImpl implements ILearnKnowledgeCourseService 
{
    @Autowired
    private LearnKnowledgeCourseMapper learnKnowledgeCourseMapper;

    /**
     * 查询同步知识点树
     * 
     * @param id 同步知识点树主键
     * @return 同步知识点树
     */
    @Override
    public LearnKnowledgeCourse selectLearnKnowledgeCourseById(Long id)
    {
        return learnKnowledgeCourseMapper.selectLearnKnowledgeCourseById(id);
    }

    /**
     * 查询同步知识点树列表
     * 
     * @param learnKnowledgeCourse 同步知识点树
     * @return 同步知识点树
     */
    @Override
    public List<LearnKnowledgeCourse> selectLearnKnowledgeCourseList(LearnKnowledgeCourse learnKnowledgeCourse)
    {
        return learnKnowledgeCourseMapper.selectLearnKnowledgeCourseList(learnKnowledgeCourse);
    }

    /**
     * 新增同步知识点树
     * 
     * @param learnKnowledgeCourse 同步知识点树
     * @return 结果
     */
    @Override
    public int insertLearnKnowledgeCourse(LearnKnowledgeCourse learnKnowledgeCourse)
    {
        return learnKnowledgeCourseMapper.insertLearnKnowledgeCourse(learnKnowledgeCourse);
    }

    /**
     * 修改同步知识点树
     * 
     * @param learnKnowledgeCourse 同步知识点树
     * @return 结果
     */
    @Override
    public int updateLearnKnowledgeCourse(LearnKnowledgeCourse learnKnowledgeCourse)
    {
        return learnKnowledgeCourseMapper.updateLearnKnowledgeCourse(learnKnowledgeCourse);
    }

    /**
     * 批量删除同步知识点树
     * 
     * @param ids 需要删除的同步知识点树主键
     * @return 结果
     */
    @Override
    public int deleteLearnKnowledgeCourseByIds(Long[] ids)
    {
        return learnKnowledgeCourseMapper.deleteLearnKnowledgeCourseByIds(ids);
    }

    /**
     * 删除同步知识点树信息
     * 
     * @param id 同步知识点树主键
     * @return 结果
     */
    @Override
    public int deleteLearnKnowledgeCourseById(Long id)
    {
        return learnKnowledgeCourseMapper.deleteLearnKnowledgeCourseById(id);
    }
}
